<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$uz=check($uz);

$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}


echo '<img src="../images/img/partners.gif" alt=""> <b>Рейтинг толстосумов</b><br><br>';

//------------------------------ НОВАЯ ФУНКЦИЯ КЕШИРОВАНИЯ ------------------------------//
$filtime=filemtime("../local/datatmp/raitinglist.dat");
$filtime=$filtime+(3600*12); //12-часовое индексирование 
$ttime=time();

if($ttime>=$filtime){
	
$dir = opendir ("../local/profil"); 
while ($file = readdir ($dir)) {
if (ereg (".prof$", $file)) {
$a[]=$file;
}} 
closedir ($dir); 		
$total = count($a); 

for ($i = 0; $i < $total; $i++){
$tex = file("../local/profil/$a[$i]");
$data = explode(":||:",$tex[0]);

$dat_log[]=$data[0]; 
$dat_gold[]=$data[41];
}


foreach($dat_gold as $k=>$v){
$usersum="0";
$lines=file("../local/bank.dat"); 
$county=count($lines);
for ($b=0; $b<$county; $b++) {
$dty=explode("|",$lines[$b]); if ($dty[1]==$dat_log[$k]) {$usersum=$dty[2];}} 

$ob_summa=$v+$usersum;

if($ob_summa>0){

$dat_login[]=$dat_log[$k]; 
$dat_bank[]=$usersum; 
$dat_golden[]=$ob_summa; 
$dat_all[]=$v;
}}

arsort($dat_golden);	
	
clear_files("../local/datatmp/raitinglist.dat");	
	
foreach($dat_golden as $k=>$v){ $gg++;

$dat_balls='|'.$gg.'|'.$dat_login[$k].'|'.$v.'|'.$dat_all[$k].'|'.$dat_bank[$k].'|';		

$fp = fopen("../local/datatmp/raitinglist.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$dat_balls\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
chmod ($fp, 0666); 
chmod ("../local/datatmp/raitinglist.dat", 0666); 
}
}
	

//------------------------------ ВЫВОД ИЗ КЕША ------------------------------//	
$file = file("../local/datatmp/raitinglist.dat");
$total = count($file);
if ($start=="") {$start = 0;} 
if ($total < $start + $config_userlist){ $end = $total; }
else {$end = $start + $config_userlist; }
for ($i = $start; $i < $end; $i++){

$data = explode("|",$file[$i]);

echo '<div class=b>'.$data[1].'. <img src="../images/img/chel.gif" alt=""> ';

if($uz==$data[2]){
echo '<b><big><a href="../pages/anketa.php?uz='.$data[2].'&amp;'.SID.'"><font color="#FF0000">'.nickname($data[2]).'</font></a></big></b> ';
}else{	
echo '<b><a href="../pages/anketa.php?uz='.$data[2].'&amp;'.SID.'">'.nickname($data[2]).'</a></b>';
}

echo '('.(int)$data[3].' монет)</div>';
echo 'На руках: '.(int)$data[4].'<br>В банке: '.(int)$data[5].'<br>';
}
  

echo'<hr>'; 
if ($start != 0) {echo '<a href="raitinglist.php?start='.($start - $config_userlist).'&amp;'.SID.'">&lt;-Назад</a> ';}else{echo'&lt;-Назад';}
echo' | '; 
if ($total > $start + $config_userlist) {echo ' <a href="raitinglist.php?start='.($start + $config_userlist).'&amp;'.SID.'">Далее-&gt;</a>';}else{echo'Далее-&gt;';} 

if($total>0){

$ba=ceil($total/$config_userlist);
$ba2=$ba*$config_userlist-$config_userlist;

echo '<br><hr>Страницы:';
$asd=$start-($config_userlist*4);
$asd2=$start+($config_userlist*5);

if($asd<$total && $asd>0){echo ' <a href="raitinglist.php?start=0&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$total && $i>=0){
$ii=floor(1+$i/$config_userlist);

if ($start==$i) {
echo ' <b>'.$ii.'</b>';
               }
                else {
echo ' <a href="raitinglist.php?start='.$i.'&amp;'.SID.'">'.$ii.'</a>';
                     }}


$i=$i+$config_userlist;}
if($asd2<$total){echo ' ... <a href="raitinglist.php?start='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';}
}


//-----------------------------------------------------------------//
if($uz==""){
echo '<hr><b>Поиск пользователя:</b><br>';
if($config_themes!="wml"){	
echo '<form action="raitinglist.php?start='.$start.'&amp;'.SID.'" method="post">';
echo'<input name="uz" value="'.$log.'" /><br>';
echo '<input type="submit" value="Искать" /></form><hr>';

}else{

echo'<input name="uz" value="'.$log.'"/><br>';
echo'<anchor>Искать';
echo'<go href="raitinglist.php?start='.$start.'&amp;'.SID.'" method="post">';
echo'<postfield name="uz" value="$(uz)"/>';
echo'</go></anchor><br>--------------------';
}
}else{
	
$file = file("../local/datatmp/raitinglist.dat");
$total = count($file);	
for ($i = 0; $i < $total; $i++){ 
	
$data = explode("|",$file[$i]);	
if (trim($uz)==$data[2]){
$stranica = floor($i / $config_userlist) * $config_userlist;
$pos = $i + 1; 
echo '<hr><br><font color="#00FF00">Позиция в рейтинге: </font><b><a href="raitinglist.php?start='.$stranica.'&amp;uz='.$uz.'&amp;'.SID.'">'.$pos.'</a></b><br>';	
}}
if($pos==""){ echo '<hr><br><b><font color="#FF0000">Пользователь с таким логином не найден!</font></b><br>';}

echo '<br><a href="raitinglist.php?start='.$start.'&amp;'.SID.'">Искать еще</a><br>';
}


echo '<br>Всего юзеров: <b>'.(int)$total.'</b><br><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
?>

